clang 8.0.0

Public Attributes | List of all members
clang::WrittenBuiltinSpecs Struct Reference

Structure that packs information about the type specifiers that were written in a particular type specifier sequence. More...

`#include "clang/Basic/Specifiers.h"`

Collaboration diagram for clang::WrittenBuiltinSpecs:
[legend]

## Public Attributes
unsigned | Type: 6
unsigned | Sign: 2
unsigned | Width: 2
unsigned | ModeAttr: 1

## Detailed Description

Structure that packs information about the type specifiers that were written in a particular type specifier sequence.

Definition at line 88 of file Specifiers.h.

## Member Data Documentation

## ◆ ModeAttr

unsigned clang::WrittenBuiltinSpecs::ModeAttr

Definition at line 93 of file Specifiers.h.

## ◆ Sign

unsigned clang::WrittenBuiltinSpecs::Sign

Definition at line 91 of file Specifiers.h.

## ◆ Type

unsigned clang::WrittenBuiltinSpecs::Type

Definition at line 89 of file Specifiers.h.

## ◆ Width

unsigned clang::WrittenBuiltinSpecs::Width

Definition at line 92 of file Specifiers.h.

The documentation for this struct was generated from the following file:

- include/clang/Basic/Specifiers.h